DROP TABLE IF EXISTS settings;
DROP SEQUENCE IF EXISTS settings_id_seq;

CREATE SEQUENCE settings_id_seq;
CREATE TABLE settings
(
	id INT NOT NULL DEFAULT nextval('settings_id_seq'),
	keep_in_db INTEGER,
	keep_archive INTEGER,
	storage_path VARCHAR,
	create_fts_index INTEGER,
	PRIMARY KEY(id)
);

INSERT INTO settings
(
	keep_in_db,
	keep_archive,
	storage_path,
	create_fts_index
)
VALUES
(
	5,
	999,
	'/opt/logserver/archive',
	0
);

--UPDATE db VERSION
UPDATE service SET version = 22;
